package com.saye.hrs.commons.excel;

public interface ISetExport {

	/**
	 * 设置台头
	 * @param titleName
	 */
	public void setTitleName(String titleName);
	
	/**
	 * 设置标题高
	 * @param height
	 */
	public void modifTitleHeight(short height);

	/**
	 * 修改某个位置的标题栏名称
	 * @param header
	 * @param index
	 */
	public void modifyHeader(String header, int index);

	/**
	 * 修改某个位置的标题栏宽度
	 * @param width
	 * @param index
	 */
	public void modifyWidthOfHeader(String width, int index);	
	
	/**
	 * 设置副标题
	 * @param subHeader
	 */
	public void setSubHeader(String[] subHeader);
	
	/**
	 * 设置要合并的单元格区域
	 * @param firstRow 开始行
	 * @param lastRow  结束行
	 * @param firstCol 开始列
	 * @param lastCol  结束列
	 */
	public void setMergeRange(int firstRow, int lastRow, int firstCol, int lastCol);
	
	/**
	 * 设置 工作薄 密码保护
	 * @param pwd
	 */
	public void protectSheet(String pwd);
	
	/**
	 * 设定抬头是否合并两行:在new ExportXLS之后就SET
	 * @param isHeaderMergeTwo
	 */
	public void setIsHeaderMergeTwo(Boolean isHeaderMergeTwo);
	
}
